.container-table-of-series{
    padding: 0 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 5px rgb(219, 218, 218);
    background: #fff;
    position: relative;
    .table-action-popover{
        span{
            font-family: "Montserrat Regular";
            font-style: 1.4rem;
        }
    }
}

.table-series{
    width: 100%;
    border-collapse: separate;
    padding: 0px;
    background: #fff;
    position: relative;
    border-radius: 10px;
    &__header{
        text-align: center;
        position: relative;
        th{
            position: relative;
            height: 5.6rem;
            color: #738498;
            font-size: 1.4rem;
            font-weight: bold;
            text-transform: uppercase;
            white-space: pre-wrap!important;
            padding: 0.8rem !important;
            &:first-child{
                width: 30%;
            }
            &:last-child{
                width: 5%;
            }            
            
            &:nth-child(2){
                width: 15%;
            }
            &:nth-child(3){
                width: 15%;
            }
            &:nth-child(4){
                width: 15%;
            }
            &:nth-child(5){
                width: 10%;
            }
            &:nth-child(6){
                width: 10%;
            }
        }
    }

    &__body{
        position: relative;
        text-align: center;
        tr{
            position: relative;
            height: 5.6rem;
            &:hover{
                background: #ECF7FD;
            }
            td{
                position: relative;
                border-top: 1px solid #dee2e6;
                font-size: 1.4rem;
                font-weight: 500;
                color: #354453;

                .rs-toggle {
                    height: 24px;
                    min-width: 44px;
                    border-radius: 12px;
                    .rs-toggle-presentation {
                        background: #d9d9d9;
                    }
                }
                .rs-toggle-checked {
                    .rs-toggle-presentation {
                        background: #35B9E5;
                    }
                }
                
                &:last-child{
                    width: 60px;
                    .btn-container{
                        
                        .action-btn{
                            width: 3.6rem;
                            height: 3.6rem;
                            margin: 0 0.4rem;
                            padding: 0;

                            display: flex;
                            align-items: center;
                            justify-content: center;

                            background: transparent;
                            border-radius: 1.2rem;

                            transition: background 0.25s;

                            &:hover {
                            background: #e4e4f0;

                                img {
                                    filter: unset;
                                    opacity: 1;
                                }
                            }

                            img {
                                width: 2rem;
                                height: 2rem;

                                object-fit: contain;
                                object-position: center;

                                filter: grayscale(1.3);
                                opacity: 0.6;
                                transition: all 0.25s;
                            }
                        }
                    }
                }
                a {
                    text-decoration: underline !important;
                    width: 100%;
                    position: absolute;
                    left: -8%;
                    top: 25%;
                    text-align: start !important;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    white-space: nowrap;
                    &::before{
                        content: '&nbsp;';
                        visibility: hidden;
                    }
                }
                &:first-child{
                    width: 30%;
                }
                &:last-child{
                    width: 5%;
                }                
                &:nth-child(2){
                    width: 15%;                    
                    img{
                        cursor: zoom-in;
                        height: 5rem;
                        width: 5rem;
                        object-fit: contain;
                        object-position: center;
                    }
                }
                &:nth-child(3){
                    width: 15%;
                }
                &:nth-child(4){
                    width: 15%;
                }
                &:nth-child(5){
                    width: 10%;
                }
                &:nth-child(6){
                    width: 10%;
                }
            }
        }
    }
}

